import {FC} from 'react';
import {useControl, useWatchId} from './hooks';
import {ModalField} from '@components';

const Info: FC<{id: string}> = function ({id}) {
  const control = useControl();
  useWatchId(id);

  return (
    <>
      <ModalField label='特来电ID' name='dictionaryId' control={control} />
      <ModalField label='名称' name='dictionaryName' control={control} />
      <ModalField label='编号' name='dictionaryCode' control={control} />
    </>
  );
};

export default Info;
